< 返回上层

pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available.

2018-07-12 17:49:00 262次

python3.6 使用pip 出现 TLS/SSL问题?

今天在在centos 6.9上 安装python3.6后 使用pip 安装模块,提示如下错误:


pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available.


解决方法:


1、安装 openssl openssl-devel (openssl-dev)

2、编译安装python,添加如下选项

./configure –with-ssl

3、make && sudo make install

4、brew 的话,装完 openssl 的直接 brew install python3 也没问题。


提交成功!非常感谢您的反馈,我们会继续努力做到更好!

更多建议

这条文档是否有帮助解决问题?

没有帮助 有帮助

非常抱歉未能帮助到您。为了给您提供更好的服务,我们很需要您进一步的反馈信息:

在文档使用中是否遇到以下问题: